Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontDetector

    java.lang.Object
      org.apache.fop.fonts.FontDetector

public class FontDetector
extends java.lang.Object

Detector of operating system and classpath fonts

Constructor Summary
`FontDetector(FontManager manager, FontAdder adder, boolean strict)` Main constructor

Method Summary
`void` | `detect(java.util.List fontInfoList)` Detect installed fonts on the system

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontDetector

    public FontDetector(FontManager manager,
                        FontAdder adder,
                        boolean strict)

  Main constructor

Parameters:
  `manager` - the font manager
  `adder` - the font adder
  `strict` - true if an Exception should be thrown if an error is found.

Method Detail

### detect

    public void detect(java.util.List fontInfoList)
                throws FOPException

  Detect installed fonts on the system

  Parameters:
    `fontInfoList` - a list of fontinfo to populate
  Throws:
    `FOPException` - thrown if a problem occurred during detection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.